// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: {
      title: '首页'
    },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [{
          path: '/home',
          name: 'home',
          component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
          meta: {
            title: '首页',
            icon: 'home',
            hide: true
          }
        }]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // 销售管理
      {
        path: '/salesManagement',
        redirect: '/salesManagement/salesQuery',
        component: PageView,
        meta: {
          title: '销售管理',
          icon: 'account-book'
          // permission: 'M_salesManagement'
        },
        children: [
          {
            path: '/salesManagement/salesQuery',
            redirect: '/salesManagement/salesQuery/list',
            name: 'salesQuery',
            component: RouteView,
            meta: {
              title: '销售单查询',
              icon: 'monitor'
              // permission: 'M_salesQuery_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesQueryList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
                meta: {
                  title: '销售单列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQuery_list'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'salesDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/detail.vue'),
                meta: {
                  title: '销售单详情',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesDetail'
                }
              },
              {
                path: 'add',
                name: 'salesAdd',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '新增销售单',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              },
              {
                path: 'edit/:id',
                name: 'salesEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '编辑销售单',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              }
            ]
          },
          {
            path: '/salesManagement/backorder',
            redirect: '/salesManagement/backorder/list',
            name: 'backorder',
            component: RouteView,
            meta: {
              title: '缺货单',
              icon: 'exception'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'backorderList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/backorder/list.vue'),
                meta: {
                  title: '缺货单列表',
                  icon: 'exception',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'backorderDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/backorder/detail.vue'),
                meta: {
                  title: '缺货单详情',
                  icon: 'exception',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/salesManagement/examineVerify',
            redirect: '/salesManagement/examineVerify/list',
            name: 'examineVerify',
            component: RouteView,
            meta: {
              title: '备货审核',
              icon: 'audit'
              // permission: 'M_outboundOrder'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'examineVerifyList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/examineVerify/list.vue'),
                meta: {
                  title: '备货审核列表',
                  icon: 'audit',
                  hidden: true
                  // permission: 'M_outboundOrder_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'examineVerifyDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/examineVerify/detail.vue'),
                meta: {
                  title: '备货审核详情',
                  icon: 'audit',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          }
        ]
      },
      // 产品管理
      {
        path: '/productManagement',
        redirect: '/productManagement/productInfo',
        component: PageView,
        meta: {
          title: '产品管理',
          icon: 'shopping'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/productManagement/productInfo',
            redirect: '/productManagement/productInfo/list',
            name: 'productInfo',
            component: RouteView,
            meta: {
              title: '产品信息管理',
              icon: 'file-text'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
                meta: {
                  title: '产品信息列表',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'productInfoAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '新增产品',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'productInfoEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '编辑产品',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/productManagement/productPricing',
            redirect: '/productManagement/productPricing/list',
            name: 'productPricing',
            component: RouteView,
            meta: {
              title: '产品定价',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productPricingList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productPricing/list.vue'),
                meta: {
                  title: '产品定价列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/priceChangeRecord',
            redirect: '/productManagement/priceChangeRecord/list',
            name: 'priceChangeRecord',
            component: RouteView,
            meta: {
              title: '价格变更记录',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceChangeRecordList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/priceChangeRecord/list.vue'),
                meta: {
                  title: '价格变更记录列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productLaunchAudit',
            redirect: '/productManagement/productLaunchAudit/list',
            name: 'productLaunchAudit',
            component: RouteView,
            meta: {
              title: '产品上线审核',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productLaunchAuditList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productLaunchAudit/list.vue'),
                meta: {
                  title: '产品上线审核列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productOfflineAudit',
            redirect: '/productManagement/productOfflineAudit/list',
            name: 'productOfflineAudit',
            component: RouteView,
            meta: {
              title: '产品下线审核',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productOfflineAuditList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productOfflineAudit/list.vue'),
                meta: {
                  title: '产品下线审核列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productLevel',
            redirect: '/productManagement/productLevel/list',
            name: 'productLevel',
            component: RouteView,
            meta: {
              title: '产品级别',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productLevelList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productLevel/list.vue'),
                meta: {
                  title: '产品级别列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productBrand',
            redirect: '/productManagement/productBrand/list',
            name: 'productBrand',
            component: RouteView,
            meta: {
              title: '产品品牌管理',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productBrandList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
                meta: {
                  title: '产品品牌列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productCategory',
            redirect: '/productManagement/productCategory/list',
            name: 'productCategory',
            component: RouteView,
            meta: {
              title: '产品类别管理',
              icon: 'sliders'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productCategoryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
                meta: {
                  title: '产品类别列表',
                  icon: 'sliders',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      // 经销商管理
      {
        path: '/dealerManagement',
        redirect: '/dealerManagement/marketingDivisionSet',
        component: PageView,
        meta: {
          title: '经销商管理',
          icon: 'shopping'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/dealerManagement/marketingDivisionSet',
            redirect: '/dealerManagement/marketingDivisionSet/list',
            name: 'marketingDivisionSet',
            component: RouteView,
            meta: {
              title: '营销分区设置',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'marketingDivisionSetList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/marketingDivisionSet/list.vue'),
                meta: {
                  title: '营销分区列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/merchantInfoManagement',
            redirect: '/dealerManagement/merchantInfoManagement/list',
            name: 'merchantInfoManagement',
            component: RouteView,
            meta: {
              title: '商户资料管理',
              icon: 'file-text'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'merchantInfoManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/list.vue'),
                meta: {
                  title: '商户资料列表',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'merchantInfoManagementAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/edit.vue'),
                meta: {
                  title: '新增商户',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'merchantInfoManagementEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/edit.vue'),
                meta: {
                  title: '编辑商户',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          }
        ]
      },
      // 菜单管理
      {
        path: '/menusAuth',
        redirect: '/bnSetting/menusAuth',
        component: PageView,
        meta: {
          title: '菜单管理',
          icon: 'bars',
          permission: 'M_menusAuth_0'
        },
        children: [
          {
            path: '/menusAuth/storeMenus',
            name: 'storeMenus',
            component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/storeMenus.vue'),
            meta: {
              title: '连锁菜单管理',
              icon: 'shop',
              permission: 'M_menusAuth_lsMenus'
            }
          },
          // {
          //   path: '/menusAuth/adminMenus',
          //   name: 'adminMenus',
          //   component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/adminMenus.vue'),
          //   meta: {
          //     title: 'boss菜单管理',
          //     icon: 'appstore',
          //     // permission: 'M_menusAuth_adminMenus'
          //   }
          // },
          {
            path: '/menusAuth/menu',
            name: 'powerMenu',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/menu/menu.vue'),
            meta: {
              title: 'IT菜单管理',
              icon: 'profile',
              permission: 'M_menusAuth_menu'
            }
          }
        ]
      },
      // 权限管理
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock'
          // permission: 'M_auth_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user'
              // permission: 'M_auth_userList'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution'
              // permission: 'M_auth_roleList'
            }
          }
        ]
      },
      // 系统设置
      {
        path: '/setting',
        redirect: '/setting/userList',
        component: PageView,
        meta: {
          title: '系统设置',
          icon: 'setting'
          // permission: 'M_setting_0'
        },
        children: [
          {
            path: '/setting/dataDictionary',
            name: 'powerDD',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/dataDictionary/dataDictionary.vue'),
            meta: {
              title: '数据字典管理',
              icon: 'database'
              // permission: 'M_sys_dataDictionary'
            }
          },
          // {
          //   path: '/setting/register',
          //   name: 'powerRegister',
          //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
          //   meta: {
          //     title: '参数管理',
          //     icon: 'key',
          //     permission: 'M_sys_register'
          //   }
          // },
          {
            path: '/setting/OperateJournal',
            name: 'powerOperateJournal',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/OperateJournal/OperateJournal.vue'),
            meta: {
              title: '操作日志',
              icon: 'read'
              // permission: 'M_operateJournal'
            }
          }
        ]
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
